﻿using IO.Swagger.Api;
using IO.Swagger.Model;
using System;
using System.IO;
using System.Windows.Forms;

namespace OctopusFileImportApiDemoApplication
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            OpenFileDialog dlg = new OpenFileDialog();
            if (dlg.ShowDialog() == System.Windows.Forms.DialogResult.OK)
            {
                try
                {
                    AttachementData attachement = new AttachementData();
                    attachement.FileName = Path.GetFileName(dlg.FileName);
                    attachement.FileData = File.ReadAllBytes(dlg.FileName);

                    DocumentsApi documentsApi = new DocumentsApi();

                    if (Int32.TryParse(txtChecksum.Text, out int checksum) && Int32.TryParse(txtDossier.Text, out int dossier))
                    {
                        documentsApi.LoadDocument(attachement, checksum, dossier, txtSubfolder.Text);
                        MessageBox.Show(this, "Document uploaded", this.Text, MessageBoxButtons.OK, MessageBoxIcon.Information);
                    }
                    else
                        MessageBox.Show(this, "Document not uploaded, missing or invalid parameters", this.Text, MessageBoxButtons.OK, MessageBoxIcon.Error);

                }
                catch (IO.Swagger.Client.ApiException ex)
                {
                    MessageBox.Show(this, "Failed to upload document, \nHTTP response code : " + ex.ErrorCode, "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
                }
            }
        }
    }
}
